<?php 
    class Edumodo_Filter_Hooks{
        private static $instance; 

        public static function init(){
            if( null === self::$instance ){
                self::$instance = new self;
            }
            return self::$instance;
        }
        public function __construct(){
            add_filter( 'edumodo_learnpress_archive_column', [$this, 'edumodo_learnpress_archive_column'], 10, 1 );
            add_filter( 'lifterlms_loop_columns', [$this, 'edumodo__update_lifter_archive_column'] );
        }
        function edumodo_learnpress_archive_column( $column = 3 ){
            return 'learnpress-archive-column-'.$column;
        }
        /**
         * change lifter filter hook
         * Below line is the code from lifter
         * apply_filters( 'lifterlms_loop_columns', 2 );
         * we just change its value
         */
        function edumodo__update_lifter_archive_column(){
            $archive_columns = get_theme_mod('edumodo_lifter_course_archive_column_count', '2');
            return $archive_columns;
        }
        
    }
?>